# Spoti Search

A react application using typescript showing the albums of an artist the user is searching for using a GraphQL endpoint.

-   Deployed app: https://spoti-search.ruihildt.xyz/
-   Endpoint: https://spotify-graphql-server.herokuapp.com/graphql

## Using the app

### Installation

1. Clone the git repo [from here](https://git.ruihildt.xyz/ruihildt/spoti-search/).
2. Install libraries using yarn (can also be run with npm): `yarn install`

### Usage

-   Run the app: `yarn start`
-   Build the app to deploy it: `yarn build`
-   Run the tests: `yarn test`

## Tech Stack

-   [CRA with Typescript](https://create-react-app.dev/docs/adding-typescript/)
-   [Apollo / GraphQL](https://www.apollographql.com/docs/react/)
-   [Grommet](https://v2.grommet.io/) (an accessible framework/component library for react)
-   [Lodash](https://lodash.com/) (for debouncing the query)
